﻿using System;
using System.Text;

namespace Acme.BusinessEntities
{
    /// <summary>
    /// Encapsulates Customer Business Entity.
    /// </summary>
    public class Customer
    {
        private string m_FirstName;
        private string m_LastName;
        private bool m_PreferredMember;
        private PurchaseOrder m_Order;


        public string FirstName
        {
            get { return m_FirstName; }
            set { m_FirstName = value; }
        }

        public string LastName
        {
            get { return m_LastName; }
            set { m_LastName = value; }
        }


        public bool PreferredMember
        {
            get { return m_PreferredMember; }
            set { m_PreferredMember = value; }
        }

        public PurchaseOrder Order
        {
            get { return m_Order; }
            set { m_Order = value; }
        }



    }
}