﻿using System;
using System.Text;

namespace Acme.BusinessEntities
{
    /// <summary>
    /// Encapsulates the Purchase Order Business Entity which is used to describe elements of a purchase order.
    /// </summary>
    public class PurchaseOrder
    {
        private string m_PurchaseOrderId;
        private int m_TotalItems;       
        private decimal m_TotalPurchaseAmount;
        private float m_DiscountPercentage;
        private decimal m_ShippingCost;
        private decimal m_TotalIncludingShipping;


        public string PurchaseOrderId
        {
            get { return m_PurchaseOrderId; }
            set { m_PurchaseOrderId = value; }
        }

        public int TotalItems
        {
            get { return m_TotalItems; }
            set { m_TotalItems = value; }
        }
        

        public decimal TotalPurchaseAmount
        {
            get { return m_TotalPurchaseAmount; }
            set { m_TotalPurchaseAmount = value; }
        }


        public float DiscountPercentage
        {
            get { return m_DiscountPercentage; }
            set { m_DiscountPercentage = value; }
        }

        public decimal ShippingCost
        {
            get { return m_ShippingCost; }
            set { m_ShippingCost = value; }
        }

        public decimal TotalIncludingShipping
        {
            get { return m_TotalIncludingShipping; }
            set { m_TotalIncludingShipping = value; }
        }

        
    }
}
