﻿using System;
using System.Text;

using Acme.BusinessEntities;
using Microsoft.RuleEngine;

namespace Acme.RetailOperations
{
    /// <summary>
    /// Provides purchase ordering functionality and integrates with BRE.
    /// </summary>
    public class PurchaseService
    {
        public void CustomerCheckout(Customer customer)
        {
            object[] facts = new object[2];
            
            PurchaseOrder order = customer.Order;

            // some logic

            // Determine any discounts

            Policy policy = new Policy("Customer Discounts Policy");
            policy.Execute(facts);

            customer.Order = order;

            // some additional logic
        }
    }
}
