﻿using System;
using System.Text;
using Microsoft.VisualStudio.TestTools.UnitTesting;

using Acme.BusinessEntities;
using Acme.RetailOperations;

namespace Acme.RetailOperations.Tests
{
 
    [TestClass]
    public class PurhaseService
    {
        public PurhaseService()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        // [TestInitialize()]
        // public void MyTestInitialize() { }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void ExecuteCustomerCheckOutDiscountAmountShouldBeTenPercent()   
        {
            Customer customer = new Customer();
            customer.FirstName = "Robert";
            customer.LastName = "Deniro";
            customer.PreferredMember = true;

            PurchaseOrder order = new PurchaseOrder();
            order.DiscountPercentage = 0f;

            customer.Order = order;

            PurchaseService service = new PurchaseService();
            service.CustomerCheckout(customer);
            Assert.IsTrue(customer.Order.DiscountPercentage == .10f, "Expected .10 but was {0}",customer.Order.DiscountPercentage);
        }
    }
}
